<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- google fonts -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Crimson+Pro">
 
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
    <style> 
        body{
            font-family: 'Crimson Pro', serif;
            background-color: #eaefeb;
        }
        .edit{
            background: url(/assets/edit.png) no-repeat;
            background-size: auto;
        }
        .btn-special{
            margin-top: 4px;
            width: 15px;
            height: 20px; 
            border: none;
        }
        .btn-special:hover{
            background-color: white !important;
        }
        .delete{
            background: url(/assets/delete.png) no-repeat;
            background-size: auto;
        }
        .displayInput{
            display: none;
        }
        .container{
            margin-top: 50px;
        }
        .strikethrough {
            text-decoration: line-through;
        }
    </style>
    <title>TODOLIST</title>
 
    
  </head>
  <body>
    <div class="container">
        <div class="row justify-content-center align-items-center">
           <div class="col-8">
                <h1>TO DO List</h1>

                  <form action="javascript:void(0);" method="POST" onsubmit="addTask()" id="addField" >
                      <div class="input-group mb-3">
                          <input type="text" class="form-control" id="addTaskInput" placeholder="add your task" aria-describedby="button-addon2">
                          <button class="btn btn-outline-secondary" type="submit" id="buttonAdd">Add</button>
                      </div>  
                  </form>

                <div id="updateField" style="display: none;">
                  <form action="javascript:void(0);" method="POST" id="saveUpdate">
                    <div class="input-group mb-3">
                        <input type="text" class="form-control" id="updateTask"  aria-describedby="button-addon2">
                        <button class="btn btn-outline-secondary" type="submit">Update</button>
                    </div>  
                  </form>
                </div>

                <table class="table" style="background-color: #f6f6f6 ;">
                  <thead>
                    <tr>
                        <th scope="col"  colspan="4" style="width:90%;">Your Task List</th>
                    </tr>
                  </thead>
                  <tbody id="tableTaskList">
                  </tbody>
              </table>
           </div>
        </div>
    </div>
    
    <script src="/js/index.js"></script>
   </body>
</html>